package com.mortals.xhx.module.favorites.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.favorites.model.vo.FavoritesPagesVo;
import lombok.Data;
/**
* 收藏页面实体对象
*
* @author zxfei
* @date 2023-10-07
*/
@Data
public class FavoritesPagesEntity extends FavoritesPagesVo {
    private static final long serialVersionUID = 1L;

    /**
    * 用户ID,
    */
    private Long userId;
    /**
    * 页面ID, 关联到用户表中的ID，表示哪个用户收藏了这个页面
    */
    private Long pageId;
    /**
    * 备注
    */
    private String remark;
    /**
    * 收藏时间
    */
    private Date favoriteTime;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof FavoritesPagesEntity) {
            FavoritesPagesEntity tmp = (FavoritesPagesEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.userId = null;
            this.pageId = null;
            this.remark = "";
            this.favoriteTime = new Date();
    }
}